Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.common
Class ConfigurationBean

    java.lang.Object
      com.jaspersoft.jasperserver.war.common.ConfigurationBean

    public class ConfigurationBean

extends java.lang.Object

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Nested Class Summary
`static class` | `ConfigurationBean.DataSourceType`

Constructor Summary
`ConfigurationBean()`

Method Summary
`java.util.Map` | `getAllFileResourceTypes()`
`java.util.List` | `getDataSourceTypes()`
`org.springframework.context.MessageSource` | `getMessages()`
`int` | `getPaginatorItemsPerPage()`
`int` | `getPaginatorPagesRange()`
`boolean` | `isPaginationForSinglePageReport()`
`boolean` | `isReportLevelConfigurable()`
`void` | `setMessages(org.springframework.context.MessageSource messages)`
`void` | `setPaginationForSinglePageReport(boolean paginationForSinglePageReport)`
`void` | `setPaginatorItemsPerPage(int paginatorItemsPerPage)`
`void` | `setPaginatorPagesRange(int paginatorPagesRange)`
`void` | `setReportLevelConfigurable(boolean reportLevelConfigurable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationBean

    public ConfigurationBean()

Method Detail

### isReportLevelConfigurable

    public boolean isReportLevelConfigurable()

  Returns:
    Returns the reportLevelConfigurable.

### setReportLevelConfigurable

    public void setReportLevelConfigurable(boolean reportLevelConfigurable)

  Parameters:
    `reportLevelConfigurable` - The reportLevelConfigurable to set.

### getAllFileResourceTypes

    public java.util.Map getAllFileResourceTypes()

### getDataSourceTypes

    public java.util.List getDataSourceTypes()

### getPaginatorItemsPerPage

    public int getPaginatorItemsPerPage()

### setPaginatorItemsPerPage

    public void setPaginatorItemsPerPage(int paginatorItemsPerPage)

### getPaginatorPagesRange

    public int getPaginatorPagesRange()

### setPaginatorPagesRange

    public void setPaginatorPagesRange(int paginatorPagesRange)

### getMessages

    public org.springframework.context.MessageSource getMessages()

### setMessages

    public void setMessages(org.springframework.context.MessageSource messages)

### isPaginationForSinglePageReport

    public boolean isPaginationForSinglePageReport()

### setPaginationForSinglePageReport

    public void setPaginationForSinglePageReport(boolean paginationForSinglePageReport)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.